Package org.eclipse.birt.chart.model.data

# Interface SampleData

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `SampleDataImpl`

public interface SampleData extends IChartObject
A representation of the model object 'Sample Data'. This type sample data that will be used to display the chart at design-time.

The following features are supported:

- `Base Sample Data`
- `Orthogonal Sample Data`

See Also:
  - `DataPackage.getSampleData()`

## Method Summary

Modifier and Type
Method
Description
`SampleData`
`copyInstance()`
`org.eclipse.emf.common.util.EList<BaseSampleData>`
`getAncillarySampleData()`
Returns the value of the 'Ancillary Sample Data' containment reference list.
`org.eclipse.emf.common.util.EList<BaseSampleData>`
`getBaseSampleData()`
Returns the value of the 'Base Sample Data' containment reference list.
`org.eclipse.emf.common.util.EList<OrthogonalSampleData>`
`getOrthogonalSampleData()`
Returns the value of the 'Orthogonal Sample Data' containment reference list.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getBaseSampleData

org.eclipse.emf.common.util.EList<BaseSampleData> getBaseSampleData()
Returns the value of the 'Base Sample Data' containment reference list. The list contents are of type `BaseSampleData`. Holds the sample data for base series in the chart.

Returns:
  the value of the 'Base Sample Data' containment reference list.
See Also:
  - `DataPackage.getSampleData_BaseSampleData()`

### getOrthogonalSampleData

org.eclipse.emf.common.util.EList<OrthogonalSampleData> getOrthogonalSampleData()
Returns the value of the 'Orthogonal Sample Data' containment reference list. The list contents are of type `OrthogonalSampleData`. Holds the sample data for orthogonal series in the chart.

Returns:
  the value of the 'Orthogonal Sample Data' containment reference list.
See Also:
  - `DataPackage.getSampleData_OrthogonalSampleData()`

### getAncillarySampleData

org.eclipse.emf.common.util.EList<BaseSampleData> getAncillarySampleData()
Returns the value of the 'Ancillary Sample Data' containment reference list. The list contents are of type `BaseSampleData`.

If the meaning of the 'Ancillary Sample Data' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Ancillary Sample Data' containment reference list.
See Also:
  - `DataPackage.getSampleData_AncillarySampleData()`

### copyInstance

SampleData copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`